#!/usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const program = require("commander");
const chalk_1 = require("chalk");
const format_1 = require("../lib/format");
program
    .usage('<filepath>')
    .action((filepath) => {
    format_1.default(filepath);
});
program.on('--help', () => {
    console.log('\n  举个栗子:\n');
    console.log(chalk_1.default.gray('    # 格式化文件'));
    console.log('    $ dop format xxx/example.css  格式化当前css文件\n');
});
(function activeHelp() {
    program.parse(process.argv);
    if (program.args.length < 1) {
        return program.help();
    }
})();
