"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const loader_utils_1 = require("loader-utils");
function default_1(source) {
    this.cacheable();
    const options = loader_utils_1.getOptions(this);
    const envName = options.noDeleteEnv || 'production';
    if (process.env.NODE_ENV !== envName) {
        const regex_init = /(\/\*--\s*build\s*--\*\/)\n?([\s\S]*?)\n?(\/\*--\s*endbuild\s*--\*\/)\n?/ig;
        source = source.replace(regex_init, '');
    }
    return source;
}
exports.default = default_1;
