"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const sass = require("node-sass");
const sassCompiler = (filename) => {
    return new Promise((resolve, reject) => {
        sass.render({
            file: filename,
        }, (err, result) => {
            if (err) {
                reject(err);
                return;
            }
            resolve(result.css.toString());
        });
    });
};
exports.default = sassCompiler;
