"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path = require("path");
const css_1 = require("./css");
const dophin_core_1 = require("dophin-core");
class FormatBase extends dophin_core_1.DophinBaseClass {
    constructor(filepath) {
        super({ filepath });
    }
    taskRunning() {
        const { rootPath = '' } = this.runtime;
        const { filepath } = this.params;
        const extname = path.extname(filepath);
        switch (extname) {
            case '.css':
            case '.scss':
            case '.less':
                css_1.default(filepath, rootPath);
                break;
            default:
                break;
        }
    }
}
exports.default = FormatBase;
