#!/usr/bin/env node
"use strict";
exports.__esModule = true;
var program = require("commander");
var chalk_1 = require("chalk");
var format_1 = require("../lib/format");
program
    .usage('<filepath>')
    .action(function (filepath) {
    // 设置项目名
    format_1["default"](filepath);
});
program.on('--help', function () {
    console.log('\n  举个栗子:\n');
    console.log(chalk_1["default"].gray('    # 格式化文件'));
    console.log('    $ dop format xxx/example.css  格式化当前css文件\n');
});
(function activeHelp() {
    program.parse(process.argv);
    if (program.args.length < 1) {
        return program.help();
    }
})();
