#!/usr/bin/env node
"use strict";
exports.__esModule = true;
var program = require("commander");
var chalk_1 = require("chalk");
var init_1 = require("../lib/init");
program
    .usage('<project>')
    .action(function (project) {
    // 设置项目名
    init_1["default"](project);
});
program.on('--help', function () {
    console.log('\n  举个栗子:\n');
    console.log(chalk_1["default"].gray('    # 创建一个巨大的工程'));
    console.log('    $ dop init example  在当前目录创建 example 文件夹并初始化项目\n');
});
(function activeHelp() {
    program.parse(process.argv);
    if (program.args.length < 1) {
        return program.help();
    }
})();
