"use strict";
/**
 * compile类
 */
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
exports.__esModule = true;
// import DophinBase from '../../core/DophinBaseClass';
// import Log from '../../core/utils/log';
var dophin_core_1 = require("dophin-core");
var log_1 = require("../../util/log");
var CompilerClass = /** @class */ (function (_super) {
    __extends(CompilerClass, _super);
    function CompilerClass(entry, type, getString, singleFile) {
        var _this = _super.call(this, { entry: entry, type: type, getString: getString, singleFile: singleFile }) || this;
        /**
         * webpack配置参数
         */
        _this.webpackConfig = {};
        return _this;
    }
    CompilerClass.prototype.dophinInited = function () {
        var _a = this.runtime, allProjects = _a.allProjects, rootPath = _a.rootPath;
        var entry = this.params.entry;
        var project = global.__PROJECT__;
        if (!project) {
            log_1["default"].error('CompilerClass 未定义子项目名称');
            return false;
        }
        if (Array.isArray(allProjects) && !allProjects.includes(project) && (!entry || entry.indexOf('.') === -1)) {
            log_1["default"].error(rootPath + " \u4E0B\u627E\u4E0D\u5230\u5B50\u9879\u76EE " + project);
            return false;
        }
    };
    return CompilerClass;
}(dophin_core_1.DophinBaseClass));
exports["default"] = CompilerClass;
