"use strict";
exports.__esModule = true;
var loader_utils_1 = require("loader-utils");
function default_1(source) {
    this.cacheable();
    var options = loader_utils_1.getOptions(this);
    var envName = options.noDeleteEnv || 'production';
    if (process.env.NODE_ENV !== envName) {
        var regex_init = /(\/\*--\s*build\s*--\*\/)\n?([\s\S]*?)\n?(\/\*--\s*endbuild\s*--\*\/)\n?/ig;
        source = source.replace(regex_init, '');
    }
    return source;
}
exports["default"] = default_1;
