"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = y[op[0] & 2 ? "return" : op[0] ? "throw" : "next"]) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [0, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
exports.__esModule = true;
var DeployBaseClass_1 = require("./DeployBaseClass");
var preCompile_1 = require("./preCompile");
var compile_1 = require("./compile");
var postCompile_1 = require("./postCompile");
var postDeploy_1 = require("./postDeploy");
var log_1 = require("../../util/log");
var Deploy = /** @class */ (function (_super) {
    __extends(Deploy, _super);
    function Deploy() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Deploy.prototype.taskRunning = function (params) {
        return __awaiter(this, void 0, void 0, function () {
            var _this = this;
            var _a, rootPath, rootConfig, _b, projectConfig, error_1, error_2, postDeployPromises, backendPromise, frontendPromise, error_3;
            return __generator(this, function (_c) {
                switch (_c.label) {
                    case 0:
                        _a = this.runtime, rootPath = _a.rootPath, rootConfig = _a.rootConfig, _b = _a.projectConfig, projectConfig = _b === void 0 ? {} : _b;
                        _c.label = 1;
                    case 1:
                        _c.trys.push([1, 3, , 4]);
                        return [4 /*yield*/, preCompile_1["default"](rootConfig, this.deployConfig)];
                    case 2:
                        _c.sent();
                        log_1["default"].success('静态文件预处理结束');
                        return [3 /*break*/, 4];
                    case 3:
                        error_1 = _c.sent();
                        log_1["default"].error(error_1.stack);
                        return [3 /*break*/, 4];
                    case 4:
                        _c.trys.push([4, 6, , 7]);
                        return [4 /*yield*/, compile_1["default"](projectConfig, this.deployConfig)];
                    case 5:
                        _c.sent();
                        log_1["default"].success('静态文件打包结束');
                        return [3 /*break*/, 7];
                    case 6:
                        error_2 = _c.sent();
                        log_1["default"].error(error_2.stack);
                        return [3 /*break*/, 7];
                    case 7:
                        _c.trys.push([7, 9, , 10]);
                        postDeployPromises = [];
                        // 部署到后端
                        if (this.deployConfig.CONFIG.git.includes('back')) {
                            backendPromise = function () { return __awaiter(_this, void 0, void 0, function () {
                                var deployResult;
                                return __generator(this, function (_a) {
                                    switch (_a.label) {
                                        case 0: return [4 /*yield*/, postCompile_1["default"](this.deployConfig, 'back')];
                                        case 1:
                                            deployResult = (_a.sent()) || null;
                                            log_1["default"].success('[后端]静态文件部署结束');
                                            return [4 /*yield*/, postDeploy_1["default"](projectConfig, this.deployConfig, deployResult, this.git, 'back')];
                                        case 2: return [2 /*return*/, _a.sent()];
                                    }
                                });
                            }); };
                            // deploy后处理
                            postDeployPromises.push(backendPromise());
                        }
                        // 部署到前端
                        if (this.deployConfig.CONFIG.git.includes('front')) {
                            frontendPromise = function () { return __awaiter(_this, void 0, void 0, function () {
                                var deployResult;
                                return __generator(this, function (_a) {
                                    switch (_a.label) {
                                        case 0: return [4 /*yield*/, postCompile_1["default"](this.deployConfig, 'front')];
                                        case 1:
                                            deployResult = (_a.sent()) || null;
                                            log_1["default"].success('[前端]静态文件部署结束');
                                            return [4 /*yield*/, postDeploy_1["default"](projectConfig, this.deployConfig, deployResult, this.git, 'front')];
                                        case 2: return [2 /*return*/, _a.sent()];
                                    }
                                });
                            }); };
                            // deploy后处理
                            postDeployPromises.push(frontendPromise());
                        }
                        // 前后端部署并行
                        return [4 /*yield*/, Promise.all(postDeployPromises)];
                    case 8:
                        // 前后端部署并行
                        _c.sent();
                        log_1["default"].info('所有静态文件部署结束');
                        return [3 /*break*/, 10];
                    case 9:
                        error_3 = _c.sent();
                        log_1["default"].error(error_3);
                        return [3 /*break*/, 10];
                    case 10: return [2 /*return*/];
                }
            });
        });
    };
    return Deploy;
}(DeployBaseClass_1["default"]));
var wrapper = function (taskKey, common) {
    return new Deploy(taskKey, common);
};
exports["default"] = wrapper;
