"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
exports.__esModule = true;
/**
 * format base class
 */
var path = require("path");
var css_1 = require("./css");
var dophin_core_1 = require("dophin-core");
var FormatBase = /** @class */ (function (_super) {
    __extends(FormatBase, _super);
    function FormatBase(filepath) {
        return _super.call(this, { filepath: filepath }) || this;
    }
    FormatBase.prototype.taskRunning = function () {
        var _a = this.runtime.rootPath, rootPath = _a === void 0 ? '' : _a;
        var filepath = this.params.filepath;
        var extname = path.extname(filepath);
        switch (extname) {
            case '.css':
            case '.scss':
            case '.less':
                css_1["default"](filepath, rootPath);
                break;
            default:
                break;
        }
    };
    return FormatBase;
}(dophin_core_1.DophinBaseClass));
exports["default"] = FormatBase;
