"use strict";
/**
 * 获取现在的时间
 */
exports.__esModule = true;
var getNow = function (type) {
    var now = new Date();
    var _year = now.getFullYear();
    var _month = now.getMonth() + 1, _date = now.getDate(), _hour = now.getHours(), _minute = now.getMinutes(), _second = now.getSeconds();
    if (_month < 10) {
        _month = '0' + '' + _month;
    }
    if (_date < 10) {
        _date = '0' + '' + _date;
    }
    if (_hour < 10) {
        _hour = '0' + '' + _hour;
    }
    if (_minute < 10) {
        _minute = '0' + '' + _minute;
    }
    if (_second < 10) {
        _second = '0' + '' + _second;
    }
    switch (type) {
        case 'yyyymmdd':
            return "" + _year + _month + _date;
        default:
            return _year + "/" + _month + "/" + _date + " " + _hour + ":" + _minute + ":" + _second;
    }
};
exports["default"] = getNow;
