"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("fs");
const path = require("path");
const log_1 = require("./log");
const mkdirsSync = (dirname) => {
    if (fs.existsSync(dirname)) {
        return true;
    }
    else {
        if (mkdirsSync(path.dirname(dirname))) {
            log_1.default.debug(`创建目录: ${dirname}`);
            fs.mkdirSync(dirname);
            return true;
        }
    }
};
exports.default = mkdirsSync;
