"use strict";
/**
 * 调用node-sass打包sass文件
 */
exports.__esModule = true;
var sass = require("node-sass");
var sassCompiler = function (filename) {
    return new Promise(function (resolve, reject) {
        sass.render({
            file: filename
        }, function (err, result) {
            if (err) {
                reject(err);
                return;
            }
            resolve(result.css.toString());
        });
    });
};
exports["default"] = sassCompiler;
