"use strict";
/**
 * 这里的代码写的一坨shit
 */
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = y[op[0] & 2 ? "return" : op[0] ? "throw" : "next"]) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [0, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
var _this = this;
exports.__esModule = true;
var os = require("os");
var fs = require("fs");
var path = require("path");
var util = require("util");
var readline = require("readline");
var stream_1 = require("stream");
var compare_1 = require("./compare");
var mkdirs_1 = require("../../../../util/mkdirs");
var log_1 = require("../../../../util/log");
var now_1 = require("../../../../util/now");
var dophin_core_1 = require("dophin-core");
var GetGitStatus_1 = require("../../dependencies/GetGitStatus");
var result_1 = require("../../../compile/result");
var gitStatus = GetGitStatus_1["default"]();
// 本地git记录是否包含文件commit
var isLocalCommitContain = function (id) {
    for (var _i = 0, _a = gitStatus.history; _i < _a.length; _i++) {
        var history_1 = _a[_i];
        if (history_1[0].substr(0, 5) === id.substr(0, 5)) {
            return true;
        }
    }
    return false;
};
// 比较git记录中最早的一条记录与文件时间戳, 如果文件committime比最高的git时间更早，返回true
var compareTime = function (fileCommitTime) {
    var firstHistory = gitStatus.history[gitStatus.history.length - 1];
    var firstHistoryCommitTime = new Date(firstHistory[2]).getTime();
    if (new Date(fileCommitTime).getTime() < firstHistoryCommitTime) {
        return true;
    }
    return false;
};
// 比较git修改记录以及js待部署文件列表，用于修复不同人webpack打包之后文件不同的问题
var isEntryModified = function (filename) { return __awaiter(_this, void 0, void 0, function () {
    var _a, rootPath, _jsModules, _modules, isGitHasJsModified, _i, _modules_1, m, _b, _c, _mf;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                // 非js文件
                if (path.extname(filename) !== '.js') {
                    return [2 /*return*/, true];
                }
                // 如果本地没有修改记录
                if (!Array.isArray(gitStatus.modified) || !gitStatus.modified.length) {
                    return [2 /*return*/, true];
                }
                return [4 /*yield*/, dophin_core_1.getRootConfig()];
            case 1:
                _a = (_d.sent()).rootPath, rootPath = _a === void 0 ? '' : _a;
                _jsModules = result_1.jsModules.get();
                _modules = _jsModules[filename];
                isGitHasJsModified = function () {
                    for (var _i = 0, _a = gitStatus.modified; _i < _a.length; _i++) {
                        var _mf = _a[_i];
                        if (_mf.includes("" + global.__PROJECT__ + os.EOL + "source" + os.EOL + "js")) {
                            return true;
                        }
                    }
                    return false;
                };
                if (!isGitHasJsModified()) {
                    return [2 /*return*/, true];
                }
                if (_modules) {
                    for (_i = 0, _modules_1 = _modules; _i < _modules_1.length; _i++) {
                        m = _modules_1[_i];
                        // 遍历 gitStatus.modified，如果是目录需要特殊处理
                        for (_b = 0, _c = gitStatus.modified; _b < _c.length; _b++) {
                            _mf = _c[_b];
                            if (m.includes(_mf)) {
                                log_1["default"].info(filename + " \u6A21\u5757\u6709\u6539\u52A8, \u91CD\u65B0\u90E8\u7F72!");
                                return [2 /*return*/, true];
                            }
                        }
                    }
                    log_1["default"].info(filename + " \u6A21\u5757\u5747\u65E0\u6539\u52A8");
                    return [2 /*return*/, false];
                }
                return [2 /*return*/, true];
        }
    });
}); };
/**
 * 是否需要忽略文件版本号
 * @param {string} filename - 文件名
 * @returns {boolean} - 是否需要忽略文件版本号，true则不修改文件版本号
 */
var ignoreAddFilenameVersion = function (filename, projectConfig) {
    if (projectConfig.version) {
        if (/bundle\.\w{5}\.js/.test(filename)) {
            return true;
        }
    }
    return false;
};
/**
 * 给文件首行写上版本号
 * @param {object} this - this
 * @param {string} filetype - 文件扩展名
 * @param {string} ver - 文件版本号
 */
var AddNoteTransform = function (filetype, ver) {
    var that = this;
    if (!(this instanceof AddNoteTransform)) {
        return new AddNoteTransform(filetype);
    }
    stream_1.Transform.call(this, filetype);
    this._transformCount = 0;
    this._fileType = filetype;
    this._oldVersion = ver;
};
util.inherits(AddNoteTransform, stream_1.Transform);
AddNoteTransform.prototype._transform = function (data, encoding, callback) {
    if (this._transformCount === 0) {
        switch (this._fileType) {
            case 'js':
            case 'css':
                this.push("/*ver:" + gitStatus.version + " - " + now_1["default"]() + "*/\n");
                break;
            default:
                break;
        }
    }
    this._transformCount++;
    callback(null, data);
};
AddNoteTransform.prototype._flush = function (callback) {
    callback();
};
// stream复制文件简单封装
var pipeFile = function (src, dest, option, config) {
    var promise = new Promise(function (resolve, reject) {
        var readStream = fs.createReadStream(src);
        var writeStream, // 写入流
        type, // 文件扩展名
        ver; // 文件版本
        if (option === false) {
            // 不做版本标记，直接pipe文件
            writeStream = fs.createWriteStream(dest);
            readStream.pipe(writeStream);
        }
        else {
            type = option.type;
            ver = option.ver || '';
            // 获取文件commit id
            var commitHistoryReg = /^\/\*ver:(\w{5,10})\s.+(\d{4}\/\d{2}\/\d{2}.+)\*\//;
            var match = commitHistoryReg.exec(ver);
            if (commitHistoryReg.test(ver) && match !== null) {
                var historyId = match[1], commitTime = match[2];
                // 判断本地是否有这个commit
                if (!isLocalCommitContain(historyId) && !compareTime(commitTime)) {
                    log_1["default"].error(path.relative(config.build, src) + " \u7248\u672C\u9AD8\u4E8E\u672C\u5730, \u60A8\u53EF\u80FD\u8986\u76D6\u4E86\u5176\u4ED6\u4EBA\u7684\u6587\u4EF6! \u8BF7\u5C1D\u8BD5\u5148 pull \u518D\u90E8\u7F72!");
                }
            }
            writeStream = fs.createWriteStream(dest);
            readStream.pipe(new AddNoteTransform(type, ver))
                .pipe(writeStream);
        }
        readStream.on('error', function (e) {
            reject(e);
        });
        writeStream.on('error', function (e) {
            reject(e);
        });
        writeStream.on('close', function () {
            if (dest.indexOf(config.backGitDir) > -1) {
                log_1["default"].success("\u521B\u5EFA \u540E\u7AEF \u6587\u4EF6: " + path.basename(dest));
            }
            if (dest.indexOf(config.frontGitDir) > -1) {
                log_1["default"].success("\u521B\u5EFA \u524D\u7AEF \u6587\u4EF6: " + path.basename(dest));
            }
            resolve(dest);
        });
    });
    return promise;
};
// 比较文件并复制
var copyFile = function (filesrc, _a, config) {
    var destDir = _a.destDir, relPath = _a.relPath;
    return __awaiter(_this, void 0, void 0, function () {
        var projectConfig, filedestStr, destDirName, type, basename, destFileName, destFilePath, historyFileReg_1, filesList, isEnableAddDeployVersion, verReg_1, verParReg, _destOriginContent, _destContent, compareResult, newDestFilePath, readPromise, ver, _b, _c, _d, _e, _f, _g, _h, _j, _k, _l, _m, _o, error_1, compareResult, _changeType, _p, _q, _r, _s, error_2;
        return __generator(this, function (_t) {
            switch (_t.label) {
                case 0: return [4 /*yield*/, isEntryModified(filesrc)];
                case 1:
                    // 如果git修改记录里面没有当前js的模块，则不改动
                    if (!(_t.sent())) {
                        return [2 /*return*/, {
                                path: relPath,
                                type: 'constant'
                            }];
                    }
                    return [4 /*yield*/, dophin_core_1.getProjectConfig('')];
                case 2:
                    projectConfig = _t.sent();
                    filedestStr = path.resolve(destDir, relPath);
                    destDirName = path.dirname(filedestStr);
                    // 如果目标目录不存在,那就创建一个
                    mkdirs_1["default"](destDirName);
                    type = path.extname(filesrc).split('.')[1];
                    basename = path.basename(filedestStr);
                    destFileName = path.basename(filedestStr, "." + type);
                    destFilePath = filedestStr;
                    // 获取目标目录中js和css的最新文件版本
                    if ((type === 'js' || type === 'css') && projectConfig.version) {
                        historyFileReg_1 = new RegExp(destFileName + "(_[0-9]{6,8})?(_(.+))?." + type);
                        filesList = fs.readdirSync(destDirName).filter(function (file) { return historyFileReg_1.test(file); }).sort().reverse();
                        // 获取最近修改的文件名及路径
                        filesList[0] && (destFilePath = path.join(destDirName, filesList[0]));
                        // 打印目标目录最新文件路径
                        log_1["default"].debug("\u627E\u5230\u76EE\u6807\u76EE\u5F55\u6700\u8FD1\u4E00\u6B21\u90E8\u7F72\u7684\u6587\u4EF6: " + path.relative(destDir, destFilePath));
                    }
                    isEnableAddDeployVersion = !!(projectConfig.version &&
                        !(projectConfig.disableVersionFiles && projectConfig.disableVersionFiles.includes(basename)) &&
                        !ignoreAddFilenameVersion(basename, projectConfig));
                    if (!((type === 'js' || type === 'css') && fs.existsSync(destFilePath))) return [3 /*break*/, 21];
                    verReg_1 = /^\/\*ver:.+\*\//, verParReg = /^\/\*ver:.+\*\/\r?\n/;
                    _destOriginContent = fs.readFileSync(destFilePath, 'utf8');
                    _destContent = _destOriginContent.replace(verParReg, '');
                    _t.label = 3;
                case 3:
                    _t.trys.push([3, 19, , 20]);
                    return [4 /*yield*/, compare_1["default"](filesrc, _destContent)];
                case 4:
                    compareResult = _t.sent();
                    newDestFilePath = filedestStr;
                    if (isEnableAddDeployVersion && projectConfig.version) {
                        // 不再添加日期版本号
                        // newDestFilePath = path.join(destDirName, `${destFileName}_${now('yyyymmdd')}_${projectConfig.version.replace(/\./g, '_')}.${type}`);
                        // if (projectConfig.disableDateVersion === true) {
                        //     newDestFilePath = path.join(destDirName, `${destFileName}_${projectConfig.version.replace(/\./g, '_')}.${type}`);
                        // }
                        newDestFilePath = path.join(destDirName, destFileName + "_" + projectConfig.version.replace(/\./g, '_') + "." + type);
                    }
                    if (!!compareResult) return [3 /*break*/, 17];
                    log_1["default"].info("\u6587\u4EF6\u6709\u53D8\u52A8: " + basename);
                    readPromise = new Promise(function (resolve, reject) {
                        var readDestStream = fs.createReadStream(destFilePath, {
                            encoding: 'utf8'
                        });
                        var readDestLine = readline.createInterface({
                            input: readDestStream,
                            terminal: false
                        });
                        var _ver = '';
                        readDestLine.on('line', function (line) {
                            line = line.trim();
                            if (verReg_1.test(line)) {
                                _ver = line;
                            }
                            // 仅监听第一行
                            readDestLine.removeAllListeners('line');
                            readDestLine.close();
                        });
                        readDestLine.on('close', function () {
                            resolve(_ver);
                        });
                    });
                    return [4 /*yield*/, readPromise];
                case 5:
                    ver = _t.sent();
                    if (!isEnableAddDeployVersion) return [3 /*break*/, 14];
                    if (!(projectConfig.addNoVersionFile && fs.existsSync(filedestStr))) return [3 /*break*/, 7];
                    if (!/_\d_\d/.test(newDestFilePath)) return [3 /*break*/, 7];
                    log_1["default"].warn("\u5DF2\u989D\u5916\u90E8\u7F72 " + relPath + " \u65E0\u7248\u672C\u53F7\u6587\u4EF6");
                    return [4 /*yield*/, pipeFile(filesrc, filedestStr, {
                            type: type,
                            ver: ver
                        }, config)];
                case 6:
                    _t.sent();
                    _t.label = 7;
                case 7:
                    if (!(newDestFilePath === destFilePath)) return [3 /*break*/, 11];
                    if (!projectConfig.overwrite) return [3 /*break*/, 9];
                    log_1["default"].error("\u60A8\u8986\u76D6\u4E86 " + path.basename(destFilePath) + "\uFF0C\u8BF7\u63D0\u524D\u4FEE\u6539\u7248\u672C\u53F7\uFF01");
                    _b = {};
                    _d = (_c = path).relative;
                    _e = [destDir];
                    return [4 /*yield*/, pipeFile(filesrc, newDestFilePath, {
                            type: type,
                            ver: ver
                        }, config)];
                case 8: return [2 /*return*/, (_b.path = _d.apply(_c, _e.concat([_t.sent()])),
                        _b.type = 'modified',
                        _b)];
                case 9:
                    log_1["default"].error("\u60A8\u5373\u5C06\u8986\u76D6 " + path.basename(destFilePath) + "\uFF0C\u6D77\u8C5A\u5E2E\u4F60\u53D6\u6D88\u4E86\uFF0C\u8BF7\u63D0\u524D\u4FEE\u6539\u7248\u672C\u53F7\uFF01");
                    _t.label = 10;
                case 10: return [3 /*break*/, 13];
                case 11:
                    _f = {};
                    _h = (_g = path).relative;
                    _j = [destDir];
                    return [4 /*yield*/, pipeFile(filesrc, newDestFilePath, {
                            type: type,
                            ver: ver
                        }, config)];
                case 12: return [2 /*return*/, (_f.path = _h.apply(_g, _j.concat([_t.sent()])),
                        _f.type = 'added',
                        _f)];
                case 13: return [3 /*break*/, 16];
                case 14:
                    _k = {};
                    _m = (_l = path).relative;
                    _o = [destDir];
                    return [4 /*yield*/, pipeFile(filesrc, destFilePath, {
                            type: type,
                            ver: ver
                        }, config)];
                case 15: return [2 /*return*/, (_k.path = _m.apply(_l, _o.concat([_t.sent()])),
                        _k.type = 'modified',
                        _k)];
                case 16: return [3 /*break*/, 18];
                case 17: 
                // js、css未修改的文件
                return [2 /*return*/, {
                        path: path.relative(destDir, destFilePath),
                        type: 'constant'
                    }];
                case 18: return [3 /*break*/, 20];
                case 19:
                    error_1 = _t.sent();
                    log_1["default"].error("\u590D\u5236\u6587\u4EF6\u9519\u8BEF: " + error_1.message);
                    return [3 /*break*/, 20];
                case 20: return [3 /*break*/, 26];
                case 21:
                    _t.trys.push([21, 25, , 26]);
                    return [4 /*yield*/, compare_1["default"](filesrc, destFilePath)];
                case 22:
                    compareResult = _t.sent();
                    if (!!compareResult) return [3 /*break*/, 24];
                    log_1["default"].debug("\u6587\u4EF6\u6709\u53D8\u52A8: " + path.basename(filesrc));
                    _changeType = fs.existsSync(destFilePath) ? 'modified' : 'added';
                    _p = {};
                    _r = (_q = path).relative;
                    _s = [destDir];
                    return [4 /*yield*/, pipeFile(filesrc, destFilePath, {
                            type: type
                        }, config)];
                case 23: return [2 /*return*/, (_p.path = _r.apply(_q, _s.concat([_t.sent()])),
                        _p.type = _changeType,
                        _p)];
                case 24: return [3 /*break*/, 26];
                case 25:
                    error_2 = _t.sent();
                    log_1["default"].error("\u590D\u5236\u6587\u4EF6\u9519\u8BEF: " + error_2.message);
                    return [3 /*break*/, 26];
                case 26: 
                // 文件未做修改时，直接返回文件信息
                return [2 /*return*/, {
                        path: relPath,
                        type: 'constant'
                    }];
            }
        });
    });
};
exports["default"] = copyFile;
