"use strict";
exports.__esModule = true;
var log_1 = require("../../util/log");
var getRemoteVersion_1 = require("../../util/getRemoteVersion");
var getLocalVersion_1 = require("../../util/getLocalVersion");
process.on('exit', function (code) {
    // 程序退出时提示版本更新
    var latestVersion = getRemoteVersion_1["default"]();
    try {
        if (latestVersion.trim() > getLocalVersion_1.localVersion.trim()) {
            log_1["default"].success("[dophin\u66F4\u65B0] \u68C0\u6D4B\u5230\u65B0\u7248\u672C " + latestVersion.trim() + "\uFF0C\u60A8\u5F53\u524D\u7248\u672C " + getLocalVersion_1.localVersion);
        }
    }
    catch (error) {
        log_1["default"].debug(error.message);
    }
    switch (code) {
        case 0:
            break;
        case 1:
            break;
        case 2:
            break;
        case 3:
            log_1["default"].exit(code, "\u5F53\u524D\u9879\u76EE\u6CA1\u6709\u627E\u5230\u914D\u7F6E\u6587\u4EF6: do.config.js");
            break;
        case 4:
            break;
        default:
            log_1["default"].exit(code, "error: " + code + " ");
            break;
    }
});
