"use strict";
/**
 * 用于从远程获取dophin最新版本
 */
exports.__esModule = true;
var child_process_1 = require("child_process");
var log_1 = require("./log");
var latestVersion = '';
try {
    // 获取dophin最新版本号
    child_process_1.exec('npm view dophin version', {
        encoding: 'utf8'
    }, function (error, stdout, stderr) {
        if (error || stderr) {
            log_1["default"].error("exec error: " + (error || stderr));
            return;
        }
        latestVersion = stdout;
    });
}
catch (error) {
    log_1["default"].debug(error.message);
}
var getVersion = function () { return latestVersion; };
exports["default"] = getVersion;
